### Enumeration

# GimpUi ExportCapabilities

#### Declaration

    flags GimpUi.ExportCapabilities

#### Description [src]

The types of images and layers an export procedure can handle.

#### Members

Name | Description
--- | ---
`GIMP_EXPORT_CAN_HANDLE_RGB` | Handles RGB images.
`GIMP_EXPORT_CAN_HANDLE_GRAY` | Handles grayscale images.
`GIMP_EXPORT_CAN_HANDLE_INDEXED` | Handles indexed images.
`GIMP_EXPORT_CAN_HANDLE_BITMAP` | Handles two-color indexed images.
`GIMP_EXPORT_CAN_HANDLE_ALPHA` | Handles alpha channels.
`GIMP_EXPORT_CAN_HANDLE_LAYERS` | Handles layers.
`GIMP_EXPORT_CAN_HANDLE_LAYERS_AS_ANIMATION` | Handles animation of layers.
`GIMP_EXPORT_CAN_HANDLE_LAYER_MASKS` | Handles layer masks.
`GIMP_EXPORT_NEEDS_ALPHA` | Needs alpha channels.
`GIMP_EXPORT_NEEDS_CROP` | Needs to crop content to image bounds.